Bug 1732985 - Review Request: ocproxy - OpenConnect Proxy
Summary: Review Request: ocproxy - OpenConnect Proxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 21:54 UTC by Raphael Groner
Modified: 2019-10-03 02:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 01:01:12 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2019-07-24 21:54:32 UTC
Spec URL: https://raphgro.fedorapeople.org/review/misc//ocproxy.spec
SRPM URL: https://raphgro.fedorapeople.org/review/misc//ocproxy-1.60-1.20190724git.fc30.src.rpm

Description:
OCProxy is a user-level SOCKS and port forwarding proxy for OpenConnect based
on lwIP. When using ocproxy, OpenConnect only handles network activity that
the user specifically asks to proxy, so the VPN interface no longer "hijacks"
all network traffic on the host.

Comment 1 Raphael Groner 2019-07-24 21:58:09 UTC
Test build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36479814

Planned branches: rawhide, f30, epel7

In case of bundled lwip, I'm not sure if we should ship the latest sources. Upstream suggests to bundle them with license BSD and there's currently no separate lwip package with a shared library.

Comment 2 Robert-André Mauchin 🐧 2019-07-25 17:33:35 UTC
Yeah no, don't use your fork as Source:, if you need to add changes to the upstream add them in Patches.

Comment 3 Raphael Groner 2019-07-27 18:37:38 UTC
(In reply to Robert-André Mauchin from comment #2)
> Yeah no, don't use your fork as Source:, if you need to add changes to the
> upstream add them in Patches.

No idea how to rebase the patches. Please provide a sample how to do.

Comment 4 Robert-André Mauchin 🐧 2019-07-27 23:23:01 UTC
%global commit          c98f06d942970cdf35dd66ab46840f7d6d567b60
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global snapshotdate    20190728

Name:           ocproxy
Version:        1.70
Release:        1.%{snapshotdate}git%{shortcommit}%{?dist}
Summary:        OpenConnect Proxy

# BSD for both ocproxy and bundled lwip
License:        BSD
URL:            https://github.com/cernekee/%{name}
Source0:        %{url}/archive/%{commit0}/%{name}-%{shortcommit}.tar.gz

# use latest lwip sources, fix gcc warnings
Patch0:        https://github.com/rapgro/ocproxy/commit/5b2b09023f3062dbc802378e92bd6cc012698b0f.patch
# drop useless files copied accidently from lwip project
Patch1:        https://github.com/rapgro/ocproxy/commit/5876cf460b248e53548b7aa37d0ee58f024fed81.patch

Though I would recommend you squash both commit (git rebase -i HEAD~3) and produce a unique patch (git format-patch HEAD~1 HEAD)

also add a Provides: bundled(lwip) = 2.1.2

Comment 5 Raphael Groner 2019-08-02 17:35:12 UTC
(In reply to Robert-André Mauchin from comment #4)
…
> Though I would recommend you squash both commit (git rebase -i HEAD~3) and
> produce a unique patch (git format-patch HEAD~1 HEAD)

Well, Patch0 is sufficient as Patch1 just reverts some useless parts from P0 and those source files are ignored anyways, so that's relevent for upstream only.

Comment 6 Raphael Groner 2019-08-02 17:43:22 UTC
... Ahno, there are "git binary diffs are not supported." errors without Patch1.

Comment 8 Robert-André Mauchin 🐧 2019-08-02 20:33:33 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD 3-clause "New" or
     "Revised" License", "BSD 3-clause "New" or "Revised" License", "BSD
     3-clause "New" or "Revised" License GPL (v2 or later)", "BSD 2-clause
     "Simplified" License", "BSD (unspecified)", "BSD 4-clause "Original"
     or "Old" License". 116 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ocproxy/review-
     ocproxy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ocproxy
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocproxy-1.60-1.20190728gitc98f06d.fc31.x86_64.rpm
          ocproxy-debuginfo-1.60-1.20190728gitc98f06d.fc31.x86_64.rpm
          ocproxy-debugsource-1.60-1.20190728gitc98f06d.fc31.x86_64.rpm
          ocproxy-1.60-1.20190728gitc98f06d.fc31.src.rpm
ocproxy.x86_64: W: spelling-error %description -l en_US lwIP -> lip, wipe
ocproxy.src: W: spelling-error %description -l en_US lwIP -> lip, wipe
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 10 Igor Raits 2019-08-03 13:13:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ocproxy

Comment 11 Fedora Update System 2019-08-03 13:57:23 UTC
FEDORA-EPEL-2019-a2711dd3a8 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a2711dd3a8

Comment 12 Fedora Update System 2019-08-03 13:57:25 UTC
FEDORA-2019-149281ea40 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-149281ea40

Comment 13 Fedora Update System 2019-08-04 02:19:31 UTC
ocproxy-1.60-1.20190728gitc98f06d.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-149281ea40

Comment 14 Fedora Update System 2019-08-04 04:17:45 UTC
ocproxy-1.60-1.20190728gitc98f06d.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a2711dd3a8

Comment 15 Fedora Update System 2019-08-12 01:01:12 UTC
ocproxy-1.60-1.20190728gitc98f06d.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-08-19 03:04:37 UTC
ocproxy-1.60-1.20190728gitc98f06d.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-17 11:50:12 UTC
FEDORA-EPEL-2019-bccc8d10dc has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bccc8d10dc

Comment 18 Fedora Update System 2019-09-18 04:31:03 UTC
ocproxy-1.60-1.20190728gitc98f06d.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bccc8d10dc

Comment 19 Fedora Update System 2019-10-03 02:01:22 UTC
ocproxy-1.60-1.20190728gitc98f06d.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.